local move = "left"
function OnThink(self)

  -- Check to see if light is in bounds of the room and move it if it gets close to wall
  if self:GetPosition().y < -2600 then
  move = "left"
  elseif self:GetPosition().y > -1500 then 
  move ="right"
  end
  
  -- move around...
  if move == "right" then
    self:IncPosition(0,-15,0)
  elseif move == "left" then
    self:IncPosition(0,15,0)
  end

end




